onEvent('recipes', (event) => {
    event.recipes.extendedcrafting.shaped_table('atmadditions:pulsating_black_hole', [' ABA ', 'ACCCA', 'DCECD', 'ACCCA', ' ABA '], {
        A: 'draconicevolution:large_chaos_frag',
        B: 'mekanism:pellet_plutonium',
        C: 'mekanism:pellet_antimatter',
        D: 'mekanism:pellet_polonium',
        E: 'extendedcrafting:ultimate_singularity'
    }).id('kubejs:atmadditions/pulsating_black_hole')
  })